import javax.swing.*;
class H7Ex1 {
 private noktaX n;
 private daireX d;
 private silindirX s;
 private sekilX a[];
 public static void main(String args[])
{n = new noktaX(7,11);
 d = new daireX(3.5,22,8);
 s = new silindirX(10,3.3,10,10);
 a = new sekilX[3];
 a[0]=n;a[1]=d;a[2]=s; 
 String yazi="direk çağırma : \n";
        yazi+=gn.isimOku()+": "+n.toString()+"\n";
        yazi+=d.isimOku()+": "+d.toString()+"\n";
        yazi+=s.isimOku()+": "+s.toString()+"\n";
 yazi+=="indirek çağırma : \n";
 for(int i=0;i<a.length;i++)
 {yazi+=a[i]isimOku()+": "+a[i].toString()+"\n";}}
 double s1="indirek adres kullanma";
 JOptionPane.showMessageDialog(null,yazi,s1,JOptionPane.PLAIN_MESSAGE);
}
